### Method

# GIRepository TypeInfo get_param_type

since: 2.80

#### Declaration [src]

    GITypeInfo*
    gi_type_info_get_param_type (
      GITypeInfo* info,
      unsigned int n
    )

#### Description [src]

Obtain the parameter type `n`, or `NULL` if the type is not an array.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of the parameter.

#### Return value

Type: `GITypeInfo`

The param type info, or `NULL` if the type is not an array.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.